Subject: [ssm] Re: a few ssm comments (fwd)

From: Leonard Giuliano <[email-masked]>
Date: Thu, 16 Jan 2003 06:39:08 -0800 (PST)

On Tue, 17 Dec 2002 [email-masked] wrote:

-)
-) Hello,
-)
-) I quickly read the two SSM drafts properly for the first time.  A few
-) minor comments.
-)
-) ssm-overview-04:
-)
-)                                                                    Thus
-)       the complexity of the multicast routing infrastructure for SSM is
-)       low, making it viable for immediate deployment. Note that MBGP is
-)       still required for distribution of multicast reachability
-)       information.
-)
-) ==> I would dispute the last sentence a bit.  It's not really necessary to
-) use MBGP at all if you're using PIM.
-)

Agreed, you don't NEED MBGP for PIM to work.  I think the point trying to
be made here is that SSM is no different than ASM when it comes to MBGP,
but the way it is currently worded doesn't make that clear.  Perhaps the
following wording might be better:

"Note that the necessity for MBGP in SSM is no different than in ASM.
That is, when topology incongruity or a separate M-RIB for RPF is desired,
MBGP can be used."

-Lenny

_______________________________________________
ssm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ssm

---

From: Jean-Jacques Pansiot <[email-masked]>
Date: Thu, 16 Jan 2003 16:43:11 +0100

> That is, when topology incongruity or a separate M-RIB for RPF is desired,

I am not sure that the necessity is no different in the inter-domain case.
With ASM you may need an extra mechanism to interconnect intra-
domain trees,
such as MSDP or BGMP. These protocols may need more information from 
MBGP (in fact this was the case in the BGMP proposal where multicast 
addresses where associated to domains)

Jean-Jacques

---

From: Jean-Jacques Pansiot <[email-masked]>
Date: Thu, 16 Jan 2003 16:43:11 +0100

Jean-Jacques